libgeglmm: Gegl::Node Class Reference

libgeglmm

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gegl::Node Class Reference
Inheritance diagram for Gegl::Node:
[legend]

List of all members.

## Public Member Functions
Glib::RefPtr< Node > | add_child (const Glib::RefPtr< Node >& child)
void | blit (double scale, const Rectangle& roi, const Babl* format, void* destination_buf, int rowstride, BlitFlags flags)
bool | connect_from (const Glib::ustring& input_pad_name, const Glib::RefPtr< Node >& source, const Glib::ustring& output_pad_name)
bool | connect_to (const Glib::ustring& output_pad_name, const Glib::RefPtr< Node >& sink, const Glib::ustring& input_pad_name)
Glib::RefPtr< Node > | create_child (const Glib::ustring& operation)
Glib::RefPtr< Node > | detect (int x, int y)
Glib::RefPtr< const Node > | detect (int x, int y) const
bool | disconnect (const Glib::ustring& input_pad)
GParamSpec* | find_property (const Glib::ustring& property_name)
void | get (const Glib::ustring& first_property_name,...) G_GNUC_NULL_TERMINATED
template<class T >
Node& | get (const Glib::ustring& _property_name, T&value)
Rectangle | get_bounding_box () const
Glib::SListHandle < Glib::RefPtr< Node > > | get_children ()
int | get_consumers (const Glib::ustring& output_pad, GeglNode*** nodes, const gchar*** pads) const
Glib::RefPtr< Node > | get_input_proxy (const Glib::ustring& pad_name)
Glib::RefPtr< const Node > | get_input_proxy (const Glib::ustring& pad_name) const
Glib::ustring | get_operation () const
Glib::RefPtr< Node > | get_output_proxy (const Glib::ustring& pad_name)
Glib::RefPtr< const Node > | get_output_proxy (const Glib::ustring& pad_name) const
Glib::RefPtr< Node > | get_parent ()
Glib::RefPtr< const Node > | get_parent () const
Glib::RefPtr< Node > | get_producer (const Glib::ustring& input_pad_name, Glib::ustring* output_pad_name) const
GeglNode* | gobj ()
| Provides access to the underlying C GObject.
const GeglNode* | gobj () const
| Provides access to the underlying C GObject.
GeglNode* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | has_pad (const Glib::ustring& pad_name) const
Glib::RefPtr< Node > | link (const Glib::RefPtr< Node >& sink)
| link the object to a sink.
Glib::RefPtr< Node > | new_child (const Glib::ustring& first_property_name, const Glib::ustring& first_value)
| create a new_child
Glib::RefPtr< Processor > | new_processor (const Rectangle& rectangle)
void | process ()
Glib::PropertyProxy< bool > | property_dont_cache ()
| Do not cache the result of this operation, the property is inherited by children created from a node.
Glib::PropertyProxy_ReadOnly < bool > | property_dont_cache () const
| Do not cache the result of this operation, the property is inherited by children created from a node.
Glib::PropertyProxy < Glib::RefPtr< Operation > > | property_gegl_operation ()
| The associated GeglOperation instance.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Operation > > | property_gegl_operation () const
| The associated GeglOperation instance.
Glib::PropertyProxy < Glib::ustring > | property_name ()
| The name of the node.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| The name of the node.
Glib::PropertyProxy < Glib::ustring > | property_operation ()
| The type of associated GeglOperation.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_operation () const
| The type of associated GeglOperation.
Glib::RefPtr< Node > | remove_child (const Glib::RefPtr< Node >& child)
void | set (const Glib::ustring& first_property_name,...) G_GNUC_NULL_TERMINATED
template<class T >
Node& | set (const Glib::ustring& _property_name, const T&value)
Glib::SignalProxy1< void, const Rectangle& > | signal_computed ()
Glib::SignalProxy1< void, const Rectangle& > | signal_invalidated ()
Glib::ustring | to_xml (const Glib::ustring& path_root) const
virtual | ~Node ()
## Static Public Member Functions
static Glib::RefPtr< Node > | create ()
static Glib::RefPtr< Node > | new_from_file (const Glib::ustring& path)
static Glib::RefPtr< Node > | new_from_xml (const Glib::ustring& xmldata, const Glib::ustring& path_root)
## Protected Member Functions
| Node ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gegl::Node > | wrap (GeglNode* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gegl::Node::~Node | ( |  | ) | `[virtual]`

Gegl::Node::Node | ( |  | ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<Node> Gegl::Node::add_child | ( | const Glib::RefPtr< Node >& | child | ) |

void Gegl::Node::blit | ( | double | scale,
|  | const Rectangle& | roi,
|  | const Babl * | format,
|  | void * | destination_buf,
|  | int | rowstride,
|  | BlitFlags | flags
| ) |  |

bool Gegl::Node::connect_from | ( | const Glib::ustring & | input_pad_name,
|  | const Glib::RefPtr< Node >& | source,
|  | const Glib::ustring & | output_pad_name
| ) |  |

bool Gegl::Node::connect_to | ( | const Glib::ustring & | output_pad_name,
|  | const Glib::RefPtr< Node >& | sink,
|  | const Glib::ustring & | input_pad_name
| ) |  |

static Glib::RefPtr<Node> Gegl::Node::create | ( |  | ) | `[static]`

Glib::RefPtr<Node> Gegl::Node::create_child | ( | const Glib::ustring & | operation | ) |

Glib::RefPtr<Node> Gegl::Node::detect | ( | int | x,
|  | int | y
| ) |  |

Glib::RefPtr<const Node> Gegl::Node::detect | ( | int | x,
|  | int | y
| ) |  | const

bool Gegl::Node::disconnect | ( | const Glib::ustring & | input_pad | ) |

GParamSpec* Gegl::Node::find_property | ( | const Glib::ustring & | property_name | ) |

void Gegl::Node::get | ( | const Glib::ustring & | first_property_name,
|  |  | ...
| ) |  |

template <class T >

Node& Gegl::Node::get | ( | const Glib::ustring & | _property_name,
|  | T & | value
| ) |  |

Rectangle Gegl::Node::get_bounding_box | ( |  | ) | const

Glib::SListHandle< Glib::RefPtr<Node> > Gegl::Node::get_children | ( |  | ) |

int Gegl::Node::get_consumers | ( | const Glib::ustring & | output_pad,
|  | GeglNode *** | nodes,
|  | const gchar *** | pads
| ) |  | const

Glib::RefPtr<Node> Gegl::Node::get_input_proxy | ( | const Glib::ustring & | pad_name | ) |

Glib::RefPtr<const Node> Gegl::Node::get_input_proxy | ( | const Glib::ustring & | pad_name | ) | const

Glib::ustring Gegl::Node::get_operation | ( |  | ) | const

Glib::RefPtr<Node> Gegl::Node::get_output_proxy | ( | const Glib::ustring & | pad_name | ) |

Glib::RefPtr<const Node> Gegl::Node::get_output_proxy | ( | const Glib::ustring & | pad_name | ) | const

Glib::RefPtr<Node> Gegl::Node::get_parent | ( |  | ) |

Glib::RefPtr<const Node> Gegl::Node::get_parent | ( |  | ) | const

Glib::RefPtr<Node> Gegl::Node::get_producer | ( | const Glib::ustring & | input_pad_name,
|  | Glib::ustring * | output_pad_name
| ) |  | const

GeglNode* Gegl::Node::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

Referenced by set(), and get().

const GeglNode* Gegl::Node::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GeglNode* Gegl::Node::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gegl::Node::has_pad | ( | const Glib::ustring & | pad_name | ) | const

Glib::RefPtr<Node> Gegl::Node::link | ( | const Glib::RefPtr< Node >& | sink | ) |

link the object to a sink.

Return the sink.

Glib::RefPtr<Node> Gegl::Node::new_child | ( | const Glib::ustring & | first_property_name,
|  | const Glib::ustring & | first_value
| ) |  |

create a new_child

Parameters:

  first_property_name |

static Glib::RefPtr<Node> Gegl::Node::new_from_file | ( | const Glib::ustring & | path | ) | `[static]`

static Glib::RefPtr<Node> Gegl::Node::new_from_xml | ( | const Glib::ustring & | xmldata,
|  | const Glib::ustring & | path_root
| ) |  | `[static]`

Glib::RefPtr<Processor> Gegl::Node::new_processor | ( | const Rectangle& | rectangle | ) |

void Gegl::Node::process | ( |  | ) |

Glib::PropertyProxy< bool> Gegl::Node::property_dont_cache | ( |  | ) |

Do not cache the result of this operation, the property is inherited by children created from a node.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool> Gegl::Node::property_dont_cache | ( |  | ) | const

Do not cache the result of this operation, the property is inherited by children created from a node.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Operation> > Gegl::Node::property_gegl_operation | ( |  | ) |

The associated GeglOperation instance.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Operation> > Gegl::Node::property_gegl_operation | ( |  | ) | const

The associated GeglOperation instance.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring> Gegl::Node::property_name | ( |  | ) |

The name of the node.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring> Gegl::Node::property_name | ( |  | ) | const

The name of the node.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring> Gegl::Node::property_operation | ( |  | ) |

The type of associated GeglOperation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring> Gegl::Node::property_operation | ( |  | ) | const

The type of associated GeglOperation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::RefPtr<Node> Gegl::Node::remove_child | ( | const Glib::RefPtr< Node >& | child | ) |

void Gegl::Node::set | ( | const Glib::ustring & | first_property_name,
|  |  | ...
| ) |  |

template <class T >

Node& Gegl::Node::set | ( | const Glib::ustring & | _property_name,
|  | const T & | value
| ) |  |

Glib::SignalProxy1< void,const Rectangle& > Gegl::Node::signal_computed | ( |  | ) |

Prototype:
  `void on_my_computed(const Rectangle& r)`

Glib::SignalProxy1< void,const Rectangle& > Gegl::Node::signal_invalidated | ( |  | ) |

Prototype:
  `void on_my_invalidated(const Rectangle& r)`

Glib::ustring Gegl::Node::to_xml | ( | const Glib::ustring & | path_root | ) | const

## Friends And Related Function Documentation

Glib::RefPtr< Gegl::Node > wrap | ( | GeglNode * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- node.h